List API keys
curl --request GET \
--url https://api.redbark.com/v2/api_keys \
--header 'Authorization: Bearer <token>' \
--header 'Redbark-Version: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Redbark-Version': '<api-key>'}
};
fetch('https://api.redbark.com/v2/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/api_keys"
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "key_3K1nTq8cZ5yWvR2mPd7Lx9",
"object": "api_key",
"name": "<string>",
"prefix": "<string>",
"scopes": [
"account:read"
],
"legacy": true,
"secret": "<string>",
"allowed_ips": [
"<string>"
],
"expires_at": "2026-08-21T09:30:00.000Z",
"expiring_at": "2026-08-21T09:30:00.000Z",
"last_used_at": "2026-08-21T09:30:00.000Z",
"rotated_from": "<string>",
"status": "active",
"metadata": {},
"livemode": true,
"created": "2026-08-21T09:30:00.000Z",
"updated": "2026-08-21T09:30:00.000Z"
}
],
"next_page_url": "<string>",
"previous_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}API keys
List API keys
Every API key on the account, most recently created first. Secrets are never included; a secret is only ever returned once, on creation or rotation.
GET
/
api_keys
List API keys
curl --request GET \
--url https://api.redbark.com/v2/api_keys \
--header 'Authorization: Bearer <token>' \
--header 'Redbark-Version: <api-key>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Redbark-Version': '<api-key>'}
};
fetch('https://api.redbark.com/v2/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/api_keys"
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"id": "key_3K1nTq8cZ5yWvR2mPd7Lx9",
"object": "api_key",
"name": "<string>",
"prefix": "<string>",
"scopes": [
"account:read"
],
"legacy": true,
"secret": "<string>",
"allowed_ips": [
"<string>"
],
"expires_at": "2026-08-21T09:30:00.000Z",
"expiring_at": "2026-08-21T09:30:00.000Z",
"last_used_at": "2026-08-21T09:30:00.000Z",
"rotated_from": "<string>",
"status": "active",
"metadata": {},
"livemode": true,
"created": "2026-08-21T09:30:00.000Z",
"updated": "2026-08-21T09:30:00.000Z"
}
],
"next_page_url": "<string>",
"previous_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Authorizations
Authorization: Bearer rbk_live_...
The API release your integration is built against, e.g. 2026-10-01.wattle. Required on every request.
Query Parameters
1 to 100, default 20. Ignored when page is set.
Opaque token from next_page_url / previous_page_url.
⌘I